- name: Install radvd
  package:
    name: radvd
    state: present

- name: Set radvd config
  template:
    src: "{{ role_path }}/files/radvd.conf"
    dest: /etc/radvd.conf
  notify: restart radvd

- name: Create radvd service override directory
  file:
    path: /etc/systemd/system/radvd.service.d
    state: directory
    mode: u=rwx,g=rx,o=rx

- name: Set radvd network ordering
  copy:
    src: "{{ role_path }}/files/network-ordering.conf"
    dest: /etc/systemd/system/radvd.service.d/network-ordering.conf
  register: radvd_service

- name: Reload systemd daemon
  systemd:
    daemon_reload: yes
  when: radvd_service.changed

- name: Enable radvd
  systemd:
    name: radvd.service
    enabled: true
    masked: false